﻿@{
    ViewData["Title"] = "Management Konten PPDB Aturan";
}
    <section class="section">
        <div class="section-header">
            <h1>PPDB Konten</h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
                <div class="breadcrumb-item"><a href="#">Ppdb</a></div>
                <div class="breadcrumb-item active"><a href="#">Konten</a></div>
            </div>
        </div>

        <div class="section-body" id="no-data">
            <div id="loading-data" style="text-align:center;">
                <div style="margin-top:150px;">
                   <i class="fa fa-spinner fa-spin fa-4x"></i>
                </div>
            </div>
            <div id="empty-data" style="text-align:center;display:none;">
                <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
                <div style="margin-top:-1px">
                    Ups! Sepertinya tidak ada data, silahkan tambah baru <br /><br />
                    <button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Baru</button>
                </div>
            </div>
        </div>
        <div class="section-body" id="data" style="display:none;">
            <div class="card" id="ListData">
                <div class="card-header form-row">
                    <h4 class="col-md-6">Tabel PPDB Konten</h4>
                    <div class="col-md-6 text-right">
                        <button type="button" class="btn btn-outline-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Data</button>
                    </div>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="TabelSekolahPpdbAturan" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Tipe</th>
                                    <th>Judul</th>
                                    <th>Gambar</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Tipe</th>
                                    <th>Judul</th>
                                    <th>Gambar</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>

            <div class="card" id="EditorForm" style="display:none;">
                <div class="card-header form-row">
                    <h4 class="col-md-12">Editor Form</h4>
                </div>
                <div class="card-body">
                    <form id="FormSekolahPpdbAturan" class="form-horizontal" action="#" enctype="multipart/form-data">
                        <input id="IdPpdbInfo" name="IdPpdbInfo" type="hidden" />
                        @*<input id="IdJenisTipe" name="IdJenisTipe" type="hidden" />*@
                        <div class="form-group form-row">
                            <label class="col-form-label col-sm-3" style="text-align:left;">Tipe:</label>
                            <div class="col-sm-9">
                                <select class="form-control" name="IdJenisPpdbInfo" id="IdJenisPpdbInfo">
                                    <option value="">- Pilih Salah Satu -</option>
                                    <option value="1">Aturan</option>
                                    <option value="2">Alur</option>
                                    <option value="3">Biaya</option>
                                    <option value="4">Pengumuman</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group form-row">
                            <label class="col-form-label col-sm-3" style="text-align:left;">Judul:</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Judul" />
                            </div>
                        </div>
                        <div class="form-group form-row">
                            <label class="col-form-label col-sm-3" style="text-align:left;">Konten:</label>
                            <div class="col-sm-9">
                                <textarea name="Konten" class="summernote"></textarea>
                            </div>
                        </div>
                        <div class="form-group form-row">
                            <label class="col-form-label col-sm-3" style="text-align:left;">File Gambar:</label>
                            <div class="col-sm-9">
                                <input type="file" class="form-control" name="FileImage" />
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="form-row">
                                <div class="col-sm-6"><button type="button" onclick="Kembali();" class="btn btn-outline-danger btn-block"><i class="fa fa-repeat"></i> Kembali</button></div>
                                <div class="col-sm-6"><button type="button" id="BtnSaveData" onclick="DataSave();" class="btn btn-outline-success btn-block"><i class="fa fa-save"></i> Simpan Data</button></div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>